Subject: Re: Combining IBIS models of the same part from different vendors

From: Lynne Green <[email-masked]>
Date: Tue, 03 Jul 2001 16:26:51 -0700

Kim,

You should be very careful.  Two parts may have the same data sheets, but 
the edge
rates may differ by a factor of 3 or more (and signal integrity will be 
correspondingly
different!).

If possible, SI should be checked using the IBIS model from each vendor 
that you
use as a source for the part.  At the least, check the fastest and slowest 
IBIS
drivers you can encounter on each net.

It is probably safest (from a design data management perspective) to keep 
the IBIS
files separate, and "sweep" the model files in the simulation tool.

-Lynne

At 03:14 PM 7/3/2001 -0700, you wrote:
>One of the difficulties in the IBIS world is: if you are using a part that 
>you buy from several
>vendors, and they each give you an IBIS model for the part, how do you 
>combine these
>files into some sort of composite models (assuming that is desirable at all).
>
>Now, it's easy to look at typ, min, max values for caps and voltages, and 
>figure out
>what to do.  Harder is combining typ, min, and max pullup and pulldowns, 
>or VT curves.
>
>What I'm looking for is a "best practice" for this situation: if you've 
>faced this situation, how have
>you dealt with it?
>
>Of course, maybe nobody has faced this yet, because the other difficulty, 
>of course, is
>finding a part, any part, that has multiple suppliers that all provide 
>IBIS models for them :-)
>But we won't go there this time!
>
>
>Kim Helliwell
>Apple Computer
>[email-masked]
>408 974 9936

---

From: [email-masked]
Date: Thu, 5 Jul 2001 08:32:22 -0400

Kim,

Hmmm...  haven't heard of this before although the implementation should be
simple and just a matter of cutting and pasting them together.

Each pin has a model associated with it, so in the pin information section
be sure to correctly map the pin with the model.  If the model information
comes from different IBIS datasheets that is ok as long as you correctly
map the nomenclature such as model names.  Cut and paste the model
information (model name, model type,  DC data, V-t data, parameters, etc. )
and combine into the IBIS datasheet.

[Pin] signal_name          model_name           R_pin     L_pin     C_pin
1     a0                   data_i_vendor1              101m      3.89n     0.15p
2     b0                   data_i_vendor1               81m       3.37n     0.08p
3     a1                   data_i_vendor2               81m       2.56n     0.07p
4     b1                   data_i_vendor2               81m       2.57n     0.07p

[Model]                       data_i_vendor1
Model_type Input
Vinh=2.0
Vinl=0.8
C_comp              7.0p                NA                  NA
|
[Temperature Range] 25                  85                  -40
|
[Voltage Range]     3.30                3.15                3.45
|
[GND Clamp]
   -3.300000E+0   -1.111975E+0   -1.138288E+0   -1.086002E+0
.
.
.
etc

[Model]                       data_i_vendor2
Model_type Input
Vinh=2.0
Vinl=0.8
C_comp              6.0p                NA                  NA
|
[Temperature Range] 25                  85                  -40
|
[Voltage Range]     3.30                3.15                3.45
|
[GND Clamp]
   -3.300000E+0   -1.111975E+0   -1.138288E+0   -1.086002E+0
.
.
.
etc

Hope This Helps,
Adam Tambone

Kim Helliwell <[email-masked]> on 07/03/2001 06:14:41 PM

To:   "[email-masked]'" <[email-masked]>
cc:

Subject:  Combining IBIS models of the same part from different vendors

One of the difficulties in the IBIS world is: if you are using a part
that you buy from several
vendors, and they each give you an IBIS model for the part, how do you
combine these
files into some sort of composite models (assuming that is desirable at
all).

Now, it's easy to look at typ, min, max values for caps and voltages,
and figure out
what to do.  Harder is combining typ, min, and max pullup and pulldowns,
or VT curves.

Of course, maybe nobody has faced this yet, because the other
difficulty, of course, is
finding a part, any part, that has multiple suppliers that all provide
IBIS models for them :-)
But we won't go there this time!

Kim Helliwell
Apple Computer
[email-masked]
408 974 9936